Bug 1017054 - Failed installation because of JBOSS_HOME pointing to different directory doesnt shut down the AS
Failed installation because of JBOSS_HOME pointing to different directory doe...
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Thomas Hauser
Andrej Vano
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 04:22 EDT by Andrej Vano
Modified: 2014-02-06 10:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:26:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Vano 2013-10-09 04:22:03 EDT
Description of problem:
When JBOSS_HOME is set to different directory than the install directory, the installation fails and the process is not terminated

Version-Release number of selected component (if applicable):
6.0.0.ER4

How reproducible: 100%


Steps to Reproduce:
1. set JBOSS_HOME for example to "/home/user/jboss-eap-6.1"
2. start the installation and install the new EAP into "/home/user/test"
3. in the post install configuration (where the server is starting) the exception is displayed
4. server should shut down as it's displayed in the log
5. run the installation again
6. "The port 9999 is already in use and is required for this installation. Please free up port 9999 and try the installation again"

Actual results: server process is still running


Expected results: server process is terminated


Additional info:
Comment 1 Thomas Hauser 2013-10-09 09:59:59 EDT
Reproduced in F18.
Comment 3 Thomas Hauser 2013-10-16 17:06:29 EDT
This has been corrected by overriding any present JBOSS_HOME with the install path of the current installation.
Comment 4 Andrej Vano 2013-12-16 04:18:32 EST
Hello,

verified on ER7-2

Note You need to log in before you can comment on or make changes to this bug.